Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Fri, 22 May 2015 17:03:29 +0200

Eli Zaretskii <[email-masked]> writes:

> Why do you think they are wrong?

Never mind, I made a bad assumption.

Here's what I've found by looking at:

    ;; equivalent:
    (format "%c" #x01d779)
    (format "%c" 120697)

    ;; what gets passed to x_produce_glyphs:
    (format "%c" 120755)

So now, if I put this check at the end of x_produce_glyphs:

    if (it->char_to_display == 120755)
    {
      it->max_ascent = 0;
      it->max_descent = 0;
    }

The problem is solved for this one char. So now the question is how
120697 got translated into 120755?

Also, for some reason I can't evaluate this in gdb:

   p get_char_glyph_code (it->char_to_display, font, &char2b)

It says that get_char_glyph_code isn't defined. In any case, for this
character it returns FONT_INVALID_CODE.